seo:
  title: 8 Steps to prepare your team for a DevOps platform migration
  description: >-
    Getting teams ready enables them to migrate with more confidence and ease.
    Here's how to get started.
  ogTitle: 8 Steps to prepare your team for a DevOps platform migration
  ogDescription: >-
    Getting teams ready enables them to migrate with more confidence and ease.
    Here's how to get started.
  noIndex: false
  ogImage: images/blog/hero-images/craftsman-looks-at-continuous-integration.jpg
  ogUrl: >-
    https://about.gitlab.com/blog/eight-steps-to-prepare-your-team-for-a-devops-platform-migration
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/eight-steps-to-prepare-your-team-for-a-devops-platform-migration
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "8 Steps to prepare your team for a DevOps platform migration",
            "author": [{"@type":"Person","name":"Sharon Gaudin"}],
            "datePublished": "2022-08-16",
          }

content:
  title: 8 Steps to prepare your team for a DevOps platform migration
  description: >-
    Getting teams ready enables them to migrate with more confidence and ease.
    Here's how to get started.
  authors:
    - Sharon Gaudin
  heroImage: images/blog/hero-images/craftsman-looks-at-continuous-integration.jpg
  date: '2022-08-16'
  body: >

    When organizations are getting ready to [move to a DevOps
    platform](https://page.gitlab.com/migrate-to-devops-guide.html), taking the
    time to get IT teams prepped for the migration will mean people can make the
    transition with more confidence and efficiency.


    By [replacing a complicated mix of DevOps
    tools](/topics/devops/use-devops-platform-to-avoid-devops-tax/) with a
    single, end-to-end DevOps platform, you are about to change the way people
    work in a fundamental way. That will bring many benefits, like cutting
    tool-management costs, [increasing
    security](/blog/2022/05/09/one-devops-platform-can-help-you-achieve-devsecops/),
    speeding software creation and deployment, and [replacing silos with a
    collaborative
    environment](/blog/2022/05/02/5-ways-collaboration-boosts-productivity-and-your-career/).
    But any kind of change can create anxiety. By reaching out to people as part
    of your migration prep, managers can calm those stresses, create champions
    for the adoption, and ease the work that’s to come. 


    Let’s look at what IT leaders can do to ease this transition for everyone.


    ## Build buy-in


    Starting at the VP and CIO level, create organization-wide buy-in for this
    migration. This will be a wide-reaching project so everyone from the C-suite
    on down needs to be on board. Help them understand the importance of making
    this move. It’s not about adding a new tool – it’s about improving the way
    software development works overall, so make sure everyone is invested _from
    the beginning_. “Management and DevOps teams both need to understand that
    not migrating will ultimately take up more time and energy because they’d be
    forced to continue time-consuming glue work and duct taping to keep the
    toolchain stitched together," says [Brendan
    O’Leary](/company/team/#brendan), staff developer evangelist at GitLab.
    “People will be doing a lot less of that after a migration.”


    > Join us at [GitLab Commit 2022](/events/commit/) and connect with the
    ideas, technologies, and people that are driving DevOps and digital
    transformation.


    ## Find champions


    Early in the process, find your innovators and migration champions. Talk
    with people on every team to figure out who is excited about adopting a
    DevOps platform. These people will be critical. Empower them to lead the
    charge by allowing them to be the first to migrate with your full, visible
    support. Then their migration successes will serve as inspiration for those
    less excited to make the move.


    ## Ease tension


    Remember that change makes people nervous and be sensitive to that. Get
    ahead of any anxieties by laying out how continuing on with their existing
    (and ever-expanding) [toolchains will only suck up more of their time and
    efforts](/blog/2021/09/02/the-journey-to-a-devops-platform/) because they’ll
    have to remain focused on juggling a tangle of tools, instead of actually
    turning plans into software. Toolchains are not the fun part of their jobs,
    and they’ll be letting go of that.


    ## Set expectations


    Talk with workers about what this will mean for them individually. Reassure
    them that this does not mean their jobs will be eliminated. However, it will
    change their day-to-day responsibilities since they’ll be doing less feeding
    and watering of disparate tools. That will give them more time to take on
    bigger, more valuable and more interesting projects. Developers, in
    particular, want to [work on projects that
    matter](/blog/2021/05/13/why-software-developer-job-satisfaction-matters-and-how-to-make-it-happen/).
    Decreasing the toolchain red tape will be a huge step towards increased job
    satisfaction. 


    ## Define roles


    Not everyone on every team will work on the migration. Some will need to
    keep software development and deployment moving along, while others work on
    the adoption. Make it clear to individual team members what their roles will
    be. They’ll automatically be more at ease if it’s clear what their migration
    responsibilities will be.


    ## Plan for training


    Assure everyone there will be training. They won’t just be thrown into the
    deep end of the pool. Make sure they know you will be setting them up for
    success.


    ## Create sample projects


    [Fatima Sarah Khalid](/company/team/#sugaroverflow), a developer evangelist
    at GitLab, says that even before a migration even begins, managers should
    ensure their team members are ready to use a DevOps platform to do
    everything from planning to testing, and pushing software iterations through
    to production. “Managers should think about having a sample project set up
    with issues and epics. Set up workflows and merge requests. Run it all
    through,” says Khalid. “Getting hands-on experience before the migration
    will get rid of anyone’s fear that they’ll break something.”


    ## Lay out the benefits


    Make sure everyone understands the benefits of using a DevOps platform:


    - Your business will be able to quickly, securely, and efficiently turn a
    vision into software.


    - Working in isolated silos will be replaced with working in tandem with
    teammates, [collaborating, and sharing information and
    responsibilities](/blog/2022/03/10/if-its-time-to-learn-devops-heres-where-to-begin/).


    - A single application will give an overarching view of projects, enabling
    teams to check in on, comment on and offer suggestions on projects as they
    move through the development lifecycle.


    - Security and compliance will increase as it will be built into every step
    of the development and deployment lifecycle.


    - [Built-in
    automation](/blog/2021/09/30/want-faster-releases-your-answer-lies-in-automated-software-testing/)
    will reduce repetitive hands-on work with everything from testing to
    documentation.


    By preparing teams to make the move to a DevOps platform, the entire
    migration process will be easier and more efficient. For more information on
    transitioning to an end-to-end platform, [check out this
    ebook](https://page.gitlab.com/migrate-to-devops-guide.html).
  category: DevSecOps
  tags:
    - DevOps
    - CI/CD
    - collaboration
config:
  slug: eight-steps-to-prepare-your-team-for-a-devops-platform-migration
  featured: false
  template: BlogPost
